linux: 2.6.38-15.60 -proposed tracker

Bug #1002384 reported by Luis Henriques on 2012-05-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Brad Figg
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-15.60 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. May 2012 17:09 UTC
kernel-stable-Certification-testing-end:Monday, 21. May 2012 17:16 UTC
kernel-stable-Prepare-package-end:Tuesday, 22. May 2012 19:18 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 22. May 2012 19:18 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. May 2012 19:00 UTC
kernel-stable-Verification-testing-start:Friday, 25. May 2012 20:01 UTC
kernel-stable-Security-signoff-start:Monday, 28. May 2012 10:15 UTC
kernel-stable-Verification-testing-end:Monday, 28. May 2012 10:15 UTC
kernel-stable-Regression-testing-start:Monday, 28. May 2012 10:15 UTC
kernel-stable-Security-signoff-end:Tuesday, 29. May 2012 22:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 30. May 2012 15:30 UTC
kernel-stable-Regression-testing-end:Wednesday, 30. May 2012 15:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 31. May 2012 04:17 UTC
kernel-stable-Promote-to-updates-end:Thursday, 31. May 2012 04:17 UTC

Luis Henriques (henrix) on 2012-05-21
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-05-21
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1003077

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 1003079

description: updated
Colin Watson (cjwatson) on 2012-05-25
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-28
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-29
description: updated
C de-Avillez (hggdh2) wrote :
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-05-30
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-15.60

---------------
linux (2.6.38-15.60) natty-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1002384

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Tim Gardner ]

  * [Config] perarch and indep tools builds need separate build directories

  [ Upstream Kernel Changes ]

  * fcaps: clear the same personality flags as suid when fcaps are used
    - LP: #987571
    - CVE-2012-2123
  * natty security: fix compile error in commoncap.c
    - LP: #987571
    - CVE-2012-2123
  * KVM: Clean up error handling during VCPU creation
    - LP: #971685
    - CVE-2012-1601
  * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
    - LP: #971685
    - CVE-2012-1601
  * KVM: unmap pages from the iommu when slots are removed
    - LP: #987569
    - CVE-2012-2121
  * NFSv4: include bitmap in nfsv4 get acl data
    - LP: #893147
    - CVE-2011-4131
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
 -- Luis Henriques <email address hidden> Mon, 21 May 2012 17:56:07 +0100

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers